# Servers

The Department of Meteorology and Geophysics has access to the following computing resources:

- Teaching and Development Server ([SRVX1](SRVX1.md))
- Remote Desktop Server ([SRVX8](SRVX8.md))
- Computing Cluster ([JET](JET.md))
- Vienna Scientific Cluster ([VSC](../VSC.md))

## Available Work Environments

Locations:

- Staff + Students [SRVX1](SRVX1.md), [TeachingHub](../Students/TeachingHub.md)
- Staff + Remote Desktop [SRVX8](SRVX8.md)
- Staff + Remote Desktop + Jupyterhub [Jet Cluster](JET.md)
- Staff [Vienna Scientific Cluster (VSC)](../VSC.md)
  - [VSC Training](https://vsc.ac.at/training)
  - [VSC Trainings @ IMGW](https://gitlab.phaidra.org/imgw/trainings-course)

_Note: Please take a look at the training course @VSC. There might be a beginners course about Linux or Clusters or Python!_ It is highly recommended to use these existing courses to get up to speed. Most of these are available as pdfs right away, but still taking the course is the prefered way.

## How to connect from Home or Abroad?

![IMGW Connection Diagramm](../mkdocs/img/IMGW-connection-diagram.png)

## How to connect from the Office?

![IMGW Connection Diagramm2](../mkdocs/img/IMGW-connection-diagram2.png)

## Services

Summary of services available @IMGW.

| name        | description                           | url/path                                                                   | access | host  |
| ----------- | ------------------------------------- | -------------------------------------------------------------------------- | --- | ----- |
| teachinghub | Jupyterlab for Teaching & Development | [teaching.wolke.img.univie.ac.at](https://teaching.wolke.img.univie.ac.at) | web | srvx1 |
| researchhub | Jupyterlab for Development            | [jupyter.wolke.img.univie.ac.at](https://jupyter.wolke.img.univie.ac.at)   | img/vpn | jet02 |


## Containers

Summary of containerized applications available @IMGW.

Containerization is done via singularity/apptainer. A some what incomplete introduction is given [here](https://gitlab.phaidra.org/imgw/singularity).

