# Teaching Hub
???+ warning inline end "Update"
    There is an old and a new TeachingHub.

<img src="../mkdocs/img/jupyterhub-logo.svg" width="100px">

Please notice that only the new teaching hub is available in the future.

Migration for the old teaching hub will finish at the end of WS2023/24. 
Access: [teaching.wolke.img.univie.ac.at](https://teaching.wolke.img.univie.ac.at) or via your [Moodle lecture](https://moodle.univie.ac.at/my/).

<img src="../mkdocs/img/moodlelogo_small.png">

## TeachingHub

What is available?

Authentication is now enabled via moodle. Every student can use their u:account to login into moodle and be forwarded to the new teaching hub. no more login required. 

![TeachingHub access via Moodle](../mkdocs/img/teachinghub-new-moodle.png)

Just click on your Jupyterhub icon and you will be forwarded to the teaching hub:

![TeachingHub welcome](../mkdocs/img/teachinghub-new-welcome.png)

There should be a `Welcome.ipynb` waiting for you and you are free to try out different kernels.

![TeachingHub jupyter kernel selection](../mkdocs/img/teachinghub-new-kernels.png)

It is also possible to use a VNC (Virtual Desktop) to open installed gui applications, such as `ncview`. However, that is quite special and will only be required to be used in certain lectures.

![TeachingHub vnc desktop](../mkdocs/img/teachinghub-new-vnc.png)


## OLD TeachingHub

OLD: [teachinghub.wolke.img.univie.ac.at](https://teachinghub.wolke.img.univie.ac.at)

### How to get access?

#### Students 
Usually **your teacher** is going to **sign you up** and you will receive one or two emails containing information on how to login.
You will receive access to the Teaching Hub usually for 6 month. Can be extended for good reasons or until a teacher signs you up again.

#### Staff
Request an account by writing to the [IT](mailto:it.img-wien@univie.ac.at), which will extend your existing server accout.

The email you received contains credentials for the Teaching Hub. This email contains your username, a new password (only for the Teaching Hub) and a secret (16 digit code). They look like this:
```
Dear TeachingHub User Monkey
Some of your user information has been updated.
 
TeachingHub Account Specification:
servers: https://srvx1.img.univie.ac.at
username: monkey
password: ABCDEFGHIJK (signed in, click on user name, upper right corner to change)
Email: a000000@univie.ac.at
Secret: 1A2B3C4D5E6F7G8H

Please note that the TeachingHub is open from the web. 
Two-factor Authentication is required. Download any TOTP (Time based One Time Passwords) app according to your OS.
...
```

As stated in the email you received, you need to download one of these TOTP apps:

- [2FA Authenticator](https://2fas.com) :rocket: (android, ios)
- [FreeOTP](https://freeotp.github.io/)
- [Google Auth](https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2)
- or any other (search `2fa apps` and you will find plenty)

I recommend using your phone and an app there, as this is the most secure way. And with you phone you can scan the qr code, which looks like this:

<img src="../mkdocs/img/teachinghub-qrcode.png" width="300px">

When you scan to your Authenticator App, it will automatically get the details (username, Secret) required to generate every 30 seconds a Time-based One Time  Password (TOTP). Like this:

![](../mkdocs/img/teachinghub-authenticator.png)

If you want to use a desktop or other app that might not scan QR codes, you can fill in the details manually like this:
- Provider: `TeachingHub`
- Account: `[user]` your username, here `monkey`
- Token or Secret or Hash: `1A2B3C4D5E6F7G8H` is the secret from your email.

![](../mkdocs/img/teachinghub-authenticator-manual.png)

The combination of username, password and TOTP needs to be used to sign in:

![](../mkdocs/img/teachinghublogin.png)

This sounds all really complicated, but I promise this will be easier from time to time. Don't forget that this for our all security and your contribution is appreciated! Thanks.

If you have trouble with login, please check if you device has time synchronization activated, otherwise you might just get wrong codes. (Nice for checking: [totp.app](https://totp.app) *However, be warned this is an online service and your data might not be as secure as you think!*)

Now you are ready to go to the teaching hub and sign in:

[Teaching Hub](https://srvx1.img.univie.ac.at)


### Teaching Hub Notebooks and Kernels

Currently there are several Notebooks with different Kernels (Python kernels) installed at SRVX1. Look at the logos, if SRVX1 is in there then you will have access to these notebooks and kernels. If SRVX2 or SRVX8 are in the logo you might not have access as this is for researchers.

![](../mkdocs/img/teachinghubnotebooks.png)

As you can see it is also possible to launch a terminal inside the TeachingHub and you will find you files from your home directory there. 

It might be that your course has a separate Notebook/Kernel for you, with installed packages and dependencies required for this specific course. However, these Notebooks/Kernels are only available during these lectures and  might be removed in the future. So be aware of that. Note that you can easily change a kernel in your notebook. So no need to delete, copy or do anything. Your data/notebook information is safe.

![](../mkdocs/img/teachinghubnotebooks_kernels.png)






